Package org.apache.lucene.codecs.simpletext

## Class SimpleTextKnnVectorsFormat

- java.lang.Object
- - org.apache.lucene.codecs.KnnVectorsFormat
  - - org.apache.lucene.codecs.simpletext.SimpleTextKnnVectorsFormat

- All Implemented Interfaces:
    `NamedSPILoader.NamedSPI`

      public final class SimpleTextKnnVectorsFormat
      extends KnnVectorsFormat

  For debugging, curiosity, transparency only!! Do not use this codec in production.

  This codec stores all data in a single human-readable text file (_N.vec). You can view this in any text editor, and even edit it to alter your index.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.codecs.KnnVectorsFormat

      `DEFAULT_MAX_DIMENSIONS, EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleTextKnnVectorsFormat()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `KnnVectorsReader` | `fieldsReader​(SegmentReadState state)` |
    `KnnVectorsWriter` | `fieldsWriter​(SegmentWriteState state)` |

    - ### Methods inherited from class org.apache.lucene.codecs.KnnVectorsFormat

      `forName, getMaxDimensions, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTextKnnVectorsFormat

          public SimpleTextKnnVectorsFormat()

  - ### Method Detail

    - #### fieldsWriter

          public KnnVectorsWriter fieldsWriter​(SegmentWriteState state)
                                        throws IOException

      Specified by:
        `fieldsWriter` in class `KnnVectorsFormat`
      Throws:
        `IOException`

    - #### fieldsReader

          public KnnVectorsReader fieldsReader​(SegmentReadState state)
                                        throws IOException

      Specified by:
        `fieldsReader` in class `KnnVectorsFormat`
      Throws:
        `IOException`